Package org.gradle.api.tasks

## Annotation Type Internal

-     @Documented
      @Retention(RUNTIME)
      @Target({METHOD,FIELD})
      public @interface Internal

  Attached to a task property to indicate that the property is not to be taken into account for up-to-date checking.

  This annotation should be attached to the getter method in Java or the property in Groovy. Annotations on setters or just the field in Java are ignored.

  This will cause the task not to be considered out-of-date when the property has changed.

  Since:
    3.0

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `java.lang.String` | `value` | The reason for ignoring this element.

- - ### Element Detail

    - #### value

          java.lang.String value

      The reason for ignoring this element.
      Default:
        ""